Subject: Re: bug#74488: Why not modernize Emacs

From: Raj Divecha <[email-masked]>
Date: Wed, 27 Nov 2024 21:02:11 +0000 (UTC)

Regarding Lisp & Python : I suggested Python as an alternative. No seasoned programmer is concerned about which programming language to use. Thus. Lisp only is also just fine. And, IMO, supporting Python is probably not going to be difficult because it would be a wrapper over the Lisp code. At the basic level there needs to be a well defined object model, which Emacs already has and the same can be replicated in Python. Once done, a converter app will be needed to duplicate Lisp methods in to the Python modules. These methods will simple execute the underlying Lisp code (somehow), thus wrappers. This should provide python support. I could be wrong but it is just an idea I could think of. "Most people who write Emacs extensions do that in their spare time, and for fun" - I wasn't referring to extensions but the core of Emacs. Oh well, I believe I have troubled you guys enough. If possible, I will spend some time some day(s) and familiarize my self with Emacs and maybe in the process create a simple step-by-step process to get others started as well. Those n hour-long David Wilson videos only scare away people more than before they come by those videos! Richard Stallman's email was found in my junk folder but I found it never the less. Happy Thanksgiving to all who celebrate it and for the rest, keep having fun with Emacs! --*-- END OF THIS THREAD --*-- On Nov 26, 2024, at 9:08 PM, Eduardo Ochs <[email-masked]> wrote: On Tue, 26 Nov 2024 at 19:42, Raj Divecha <[email-masked]> wrote: But the point is why not just make a user friendly interface? How can a new comer like VS Code come and grab the market and a powerful tool like Emacs can't? Hi Raj, Most people who write Emacs extensions do that in their spare time, and for fun - and writing for a target audience of users who know the basics of Lisp is much more fun that writing for users who don't know Lisp, who don't like Lisp, and who want an editor that is like VSCode... Cheers =(, Eduardo Ochs http://anggtwu.net/eev-intros/find-elisp-intro.html -- They tried to fool a Black population By telling them Lisp-Lisp dead And I knows Lisp no dead